import { CloseOutlined } from '@ant-design/icons';
import styles from './index.less';

export default (props) => {
  const { children, style, closeable = true } = props;

  return (
    <div className={styles.page} style={style}>
      {closeable && (
          <CloseOutlined className={styles.close} />
      )}

      {children}
    </div>
  );
};
