import { LeftOutlined } from '@ant-design/icons';
import { history } from '@umijs/max';
import styles from './index.less';

export default (props) => {
  const { children, returnable = false } = props;

  return (
    <div className={styles.titleBox}>
      {returnable ? (
        <LeftOutlined style={{ fontSize: 22 }} onClick={() => history.back()} />
      ) : (
        <span className={styles.titleBar} />
      )}

      <span className={styles.title} style={{ fontSize: 22, paddingLeft: 12 }}>
        {children}
      </span>
    </div>
  );
};
